**Greentext**
*Unofficial [4chan's JSON API](https://github.com/4chan/4chan-API) Wrapper for Ruby.*

[![Gem Version](https://badge.fury.io/rb/greentext.svg)](http://badge.fury.io/rb/greentext)
[![Dependency Status](https://gemnasium.com/avidw/greentext.svg)](https://gemnasium.com/avidw/greentext)
[![Build Status](https://travis-ci.org/avidw/greentext.svg)](https://travis-ci.org/avidw/greentext)

---

## Installation

Add this line to your application's Gemfile:

    gem "greentext"

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install greentext

## Usage

```ruby
require "greentext"

client = Greentext.client
# => #<Greentext::Client:0x007f9f9a624260 @api_endpoint="http://a.4cdn.org/">

board = client.boards.first
# => #<Greentext::Board:0x007f9f9aa10928 @attrs={"board"=>"3", "title"=>"3DCG", "ws_board"=>1, ... }>
board.title
# => "3DCG"
board.worksafe?
# => true

thread = board.threads.first
# => #<Greentext::Post:0x005f4f9aa12393 @attrs={"no"=>240555661, "now"=>"04\/21\/14(Mon)13:26:27", ... }>
thread.time
# => #<DateTime: 2014-04-21T18:24:10+00:00 ((2456769j,66250s,699039399n),+0s,2299161j)>
thread.comment
# => "Love it. Looks like there&#039;s going to be ton of secret ... "

# Get the rest of the thread from OP's post
all_posts = thread.expand
# => [#<Greentext::Post:0x005f4f9aa26345>, #<Greentext::Post:0x005f4f9aa27456>
```

## Contributing

1. Fork it ( http://github.com/avidw/greentext/fork )
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Install development requirements (`bundle install`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create new Pull Request

---

This project follows the [Ruby Style Guide](https://github.com/bbatsov/ruby-style-guide) 
aside from a couple of differences:

- Documented using TomDoc instead of RDoc.
- Double quotes are always preferred over single quotes unless escaping them becomes a nightmare.  
- There are no spaces around `=` for default arguments in a method. This is just a personal thing.

Double check the code using `bundle exec rubocop` before submitting a pull request.
