require "spec_helper"

describe Greentext::Board, :vcr do
  describe "#boards" do
    it "gets an Array of boards" do
      expect(@client.boards).to be_an(Array)
    end

    it "converts objects to Greentext::Board instances" do
      expect(@client.boards.sample).to be_an_instance_of(Greentext::Board)
    end
  end

  describe "#threads" do
    it "gets an Array of posts" do
      expect(@client.threads(@client.boards.sample)).to be_an(Array)
    end

    it "converts objects to Greentext::Post instances" do
      expect(@client.threads(@client.boards.sample).sample)
      .to be_an_instance_of(Greentext::Post)
    end
  end
end
