require "greentext"
require "webmock/rspec"
require "vcr"

VCR.configure do |c|
  c.default_cassette_options = { record: :new_episodes }
  c.cassette_library_dir = "spec/cassettes"
  c.hook_into :webmock
end

RSpec.configure do |c|
  c.treat_symbols_as_metadata_keys_with_true_values = true
  c.run_all_when_everything_filtered = true
  c.filter_run :focus
  c.order = "random"

  c.before :all do
    @client = Greentext.client
  end

  c.around(:each, :vcr) do |example|
    name = example.metadata[:full_description]
      .split(/\s+/, 2)
      .join("/")
      .downcase
      .tr(" ", "_")
      .gsub(/[^\w\/]+/, "_")
    VCR.use_cassette(name) { example.call }
  end
end
